import random
import marshal
import zlib
import json

def ua(type: str) -> str:
    """Sets the User-Agent for the session based on the device."""
    ua_list = _desktop() if type == 'desktop' else _mobile() if type == 'mobile' else _random()
    ua_list = json.loads(ua_list) if isinstance(ua_list, str) else ua_list
    return random.choices([ua['ua'] for ua in ua_list], [ua['pct'] for ua in ua_list])[0]

def _desktop():
    return marshal.loads(zlib.decompress(b'x\x9c\xedZ\xdbn\xdbF\x10\xcds\xbeb\xa1\'\x1bpW{\xe3\xee\xd2z*\x8a\xf4\x82\xc4u\xd1\xb8u\x80\xa2\x10d\x9bi\x88\xa8\x92!\xcb\xa9\xd1\xa2\x1f\xdb?\xe9.\x99X\x14\xa9\x1dq\x872\xe1\x07"\x01\x02\x88\x96\xe7\xcc\x9c\xd9\xb3g\x86\xf9\xef\xab\xd3\x17/~{\xf9\xcf\xe8~6:%\xa3\xb3\xe5\xdf\xf9|>\x1b\'\x94\x91\xa3\xcb|q\xb3\xfc\xeb\x8e\xfcxA8\xa3lB\xdc\x07ZM\xc8\x83V\xc7\xe4\xeb\xdb\xdbyv\x99]\xbd\xce\xd7\xe3D\x1a*59z\xfd\xfd\xc5\xd9\x9b\x132\xcf?f\xe4\xbb\xec\xfa\xe3\xf2\x98|\xf3a\xb5\xfc3\x1bs\xc1)\xf3\x7f\xc8\xdb\xd9\xfb\xd9*/\xbf2:!\xa3\xdb\xeb\xb5\x0b,%U\xfc\xdf\x93\xdd8\xcef\xd7\xf9b\xbd\xbc\xfb0!?,\xd6\xd9\x9c\xb8\x0f\xc8\xf9[\xf2\xce\xc1\x9a\xf2dj\xb6\xd1h\x96PNy\xb2\x13\xcf\xaf\xd9\xea._.\xc6\xdcPA\xf9\x174\x9f\xbf\xb2\xc1\xc3\x13*e\xdfx\xc2h\x14\xe5i\x08\xcd\x93\xb3\xa4\xc9\xab\x9b?\x1e\x9fmP\xa5T\x07)\x03@M\xc8\xea\xd3)\x17\x82\xb2\xe32\xfcX0\xce\xdc_N\xbe\xcdW\xd9\xfb\xe5\xc3\xd8?\xdd\xc41\xd4\xd8^\x92g@\xf2\xac\x96|BU?\x8c\xec\x02\xb5\x81!\xa8\xe8\x05\x06K\x9f\x05\x0cwJ\x82\x14\x15\xcf\x04S\x8e\x99\xca\xc9\xa16x\x8c\x9b\xc0\xce/=\xb0\x8bU~\x93-\xd6c\xe3?\xf3\xbd\xca}\xab>\xc2\xa9\xferiz)>\x90u\xf1\x8c+n\xa9\xd8\x00c4\x15\xbd\xd0a\x01:lA\x87\xb5U:\xfa\x02\x168\xca\xe7?\xfd\xec*\xa6kG\xf9yU+\xa9\x02S\xba\x050MyS_\xfd\x81\r\xeb\xab\xbb\xde\xba\x869\x8c\x84\x94\x9c\xa4I\x83\x92\xb6\x90ba(\x8fBh!)\xe7!5{\xba\xe8\xa1"\x94G\xd9?\xe3\x89k\x05\xae\xa2\xc1T\x14,\x16\x94\xf6q\xa5J\rum\xd2\xad$\xbb\xef\xfa\xc3\xf7\xe2S\x19\x9dR \xbe\xc8\xed\xd1\xab\x9b|\xed\xcc\x19\xb9\xca\xd6\xb3g\x82q\xb0\xcc\x83e\x1e,\xf3`\x99\x07\xcb<X\xe6\xc12\x0f\x96y\xb0\xcc\x83e\x1e,\xf3g\x8c\xa9\x87\xa8\x94q6U\xa8m\x9c\x1b,N6\x0e\xe4R\xa3\x00\xf1  \x13\x06\xb4\xafO,\xd4&\xfe\xe1&\x8aF\xa5\xcd\xa7\n\xe3\xcc\x95\xff\x99\x9a7O\xaaN\x10\x9f\xb1\x852\xb6\xd5\x8c\x15MBQ\xdeq\'\xcc\xbf\\\xdd/\xd6\xf7\x13\xf2&_\xdc?\x90\x07\xab\xa7\xf1UU\x1d21P\x14S\x8d"\xc3\x99\xc0-\xab\xa6\x1aG\x9fS\xb70}\x12\x95t\xf4\xd9a\xc5\xd9\x91\xee\xee\xe1"tvD\xb82\x07\x84\xe29\xa7J\xba\x7f\x80c,\xf0\xad`\xa0\xa66[M\xed\xdc9\xb2\xa9\xdb\x1f\x1cN\xdbx\xf4\x8e\xe6\xa6\x95Vs\x1a\xbc6\xf6i5\xaa\xf1\x9d\xc5i\xec\x14\x92*\x1cXQ\xaaE\xefP\x0f\xc6\xc3\xf5P\xd8z$\xd8z\x00:\xee\xa69\xa4\xd9\xb6\x1a\xeaF\xbd\xdd\x8d\xc1Q\xa3{\xd1\x1f5&\x95\xe1\x9a\xa3W66\x81\xb2L\xb6\xb3D\xba\x12\x85cV\xc0\xcc\xba\x82\xb4.zl\xaa,,a\x87\xd4l[h\xb6\xf0{@\x16\xe2\x96\x85\x95n\x8f\x9a*(]\xb5\x9d.R\xc3$V\xc3\\\xde\x10\xb3\x98\x1b\xb3LZBI\xcb\xed\xa4\x83B\x15\xe8\x9f\x98\x82"\xd7\xcc\ngf\x9bK\xef\xadrb\x16!e\xca\xd0>\xd7?\xacF\tj\xd0\x9e>\x8d\xa1\x8c\x05\xcf\xfc\xbe\xcb\x05UW\t\xd7\x95\xb5Q\x89\x9dw\x0b\x87r\xe6\xb5\x9ca\x01h\x164\x864\xd6\xc7\xd0\xebG\x05\xaa\x84-v\x9aa\xa1c\xc8\x11\x02\xa9Bb\xb3(\xd8In\xac<Dq\x1a\xb1\xbf\xae\xb5\x0e\x83\xc2\xb0Z\x98\xe0\xc9\xdf\'C\x12YQh(sx0>%\xba\xdb\xbcc\x92\xa9k:\xae\x83S\x99\xfb\x99\xb0\x96\x1cn\x84\xb0\xc5U\xc7\x99_Lj\x08\x0b\xc6o\x94\x83\x19\xb4\t0i\xad\x1f\xc2Z\xb2O?Q\r\xe1\xb3O\xc0\x86\xe8E\x7f\xfc|\xea:\x829\xa3\xc5,\xc4B\x1b\xdf\xd1\xb5#\x8a!\x8a)\x87E\x82X\x82\xf2\xb3\xb7#\xa0\xc1\xc5\xe8zG\xa0\x9d\x8a\xc0J\x040\xbez@m\xdcJG\x12L\xb1\x1cO\x95\x0b/\x01\xe7\xcdPzU\x92\x00\r\x1b&\xa9\x93\x80\xf55\xb2>Z\xb5x1\xe0/c)SM\xad\x81RGIR4\x11\xfe\xb5\x9d\xb4,uD\x80Z\x1d\x16\xae\x03v\x85\x7fa%\x8da\x8dW&u0\xe8\xb7&\x1aZqi\xdbh\x0b\xa4#\x128G\xc4\xe1\xddR\x81\xa8\x8d,u\xe5\xa1X\xee\x1a\xe1\x9aB\xa7 \x0fh\x17\xa5\xa1\xcd\xb66\r\x1e\x90>\x8a7y\xe0\xd4P\x0b\xd2\xe0\xd2\xae\xba\xa8\xe2\x0b58mdi\xd7\xdc\xa1!\xf3\xa8\xeb\xe6\x11\x92\xa5F \xd4;\xca\xe2\xf4\xcb\xc4el\xa1\xb9\xa0\'1jm\xd6zQ\xa3\xd66\xb6\x1f\x0f\xd5\xda\xb7\xc4\xb8\xa8\xf2\xbf\xe6\xc4\xbb\xd8~d\xa8\xadI\xe8\xa0C\x91^\xad\x1fsT\x18\x04\xab]\xdebO\xdeX\x1d\x8auG\xbd\xccj\xed\xbdH;9\xea\xcd\x8d\xa0\xe4\x08eG\xdaIMo\xd7?j`C\xdd\xff1\x82\xf3\xc47a+\xb1\xe9km\xd1\x8f"E\\\x85N\x92^\xfe\xfe?\xafm\xee\xf8'))
def _mobile():
    return marshal.loads(zlib.decompress(b'x\x9c\xed[]O\x1bG\x14\xcds~\xc5\x88\xa7D\x82e>vfg\xcbK\x1dJL\x1a\xdbX5N\x90\xaa\n9\xb0UV\x10\x16\x11\xa8P\xab\xfc\x85\xfe\xc7\xfe\x93\xce\xae\xd76D\xac\xe7\x9ea\x17\xe5\x81\'"\x94\xc4Gw\xce=\xf7\x9c;\xe3\xff\xfe\xfd\xf9\xc5\x8b\xdf_\xfe\xb3q3\xdb\xf8\x89m\x0c\x8b\xbf\xf3\xf3\xf3\xd9\xb6\x8e8{5\xc8/nnwX\xef\xe2\xf4\xaa\xc8O\x99\x10;l\x9c\xdff\xe7,~\xcdz\x97\x97\xe7\xd9\xc7\xec\xd3\xfb\xfcz[\xab$R\x86\xbdz\xbf\x7f8\x1cl\xb2\xf3\xfc,c\xfd\xec\xe4\xacx\xcdv?_\x15_\xb2m\x9bD<\x8a\xa5\xe5\x91\xe0\x82\r\x8bO\xf9y\xc6&\xb3?gWy\xfd\xaf76\xd9\xc6\xe5\xc9\xb5\xc3 \xddg\x7f\xdb|\x18Q>\xfe\\\\d;lw<e\xf3?\xb3\x83\t\x13\xf1\xb1\x9a\x7f\xeapvR\xfe\xe2\xe8>>\xc3u$"\xa1\x1fD\xf8!\xbb\xfa\x9a\x17\x17\xdb"v\x10e\x8dm[\xe8=\x11\xdb\x05D\xc3\xe3H\xd0\x10~_3\xbe\xc3&\xc3\xad\x9e\xe4z\xdae\xd1\x04\x0c\xa9\x9f\x1a\xde-$\x8eCJ:\xae\x12\x00iEvv4\xe8\x12\x14N&-\xba-\x13\x80H\xd4\x07\x97\x8a\xa9\xe8T\x14PH\xa3\xae\xb9\x04 \xe25\xa2\xae\x1b.\x84\xdc\xcfJ\xfe\xac\xe4\xcfJ\xfe\xac\xe4\xcfJ\xfe\xac\xe4-+\xb9lE\xc9i:\x1e\x87(\xd4[\xb8d\xaa,\x99\xe0\xca\x95\xcc\xf8J\xa6\xc8\x90\xd2\x1d\xb6?\xed}\xdc{\xc7\xc6\x8a\xa3\x98\x92r\xda\xa9D\xa6\xae\x98\x89\x0f\x13\x9d\xea\xd6\xfd\xaf\x8bJi\x0eW\xca\x88\x12\x950*J\xad\x0f\xd4\x1a\xb67pK\x1d\xeb\xc7s\xcb\x1d"\x8d[\xd8\xf4\x9bw\xa3\n\x195\xbc\xacY\xea\xfa2M}\x02\x91"\xe4\x9a\xf4\x86\x93\xe9\xa8?\x97.\x8dK\x97)\xc9\xa0\xe2\x98G\xa9W\xb9,|\x98\xf28>\x16\x8f?NI\x94\n\x91\x04\x88\xab\xeeT\xedM\x00\xc1\x82\xbcL\\\xc9W\x9cD\xd6K0\xbasp\x04\x1b\xf4\xb7\xf6\xd3\x00\xe9\x92%\xaf\x8c4\x91\x90\xde"\xadQ\xf8F\x95h!K(*\xad\xe8r\xbf\xb2Z\xe6\r|\x84e+\xc6\xca\xcd\xbbT\xf9*\x06\xfb\x9a\x9e\xe6\xfa\xed\x08>\xc5\xb4\x92\xad\xd8US\xf9\x86\xa2\xc0\xb5^\x1e\x8b\xe3\xf8\t\xe5\x81\xae\xf6iU\xb4_\xb5\xc2\xc7cRI\xbdV6\xb2\xdcS2\xba\xd2[W\x06w\x90\xc3w\xcc\xc2\n_\x99\x08i\xa5;C\x9f\x89\xc0\x15^\xb4\xa3\xf0\x82x\x84\x98\xc0\xcf\xbd\xa0\xc2\xbd`Zu\xa2\xfb\x91\xfa\x8e\x10\xd3\xf7\x83\xd1\xdex0\x9d\xb0\x9e\xe1\\\xc1\xa8t%\xf1\xce\xa8\xfa%\x15\xf7\xf4\xb2\rOO\xedD\xba\xa5_\xf9\xe7\x0f\x07\xfd\xad\x81L\xe1v\xac\xdc\xaaN\xac\xdfy\xd1e\xben\xc7\x8a_\n\xcf\x1aFU-\xa9\x9c\xaf\x17\xadg\xea~j\x05<{\xd2R\xb4\xe2X\xf1\xc8\xca\xf6\x02\xec"R\'\xb8\x8a\xda\xf2\xd8b\x1e;\xda(_\xcap\xde\x15\x93\xf5$D\xd6\xab33\xae\xfb\xbc\x9a\xe0\x8a\x08\xdb\x19\xd1F\xfbQ\r\r\x8f\x92\x80\xa8(\x03\xa2b\xe5\x02%\x97\x91\x8d\xbdE3\xb0\xc7\xb28\xcf+Z\xc5\xce\x9d\n\xe9G\xa4A\x8f%8\xae\x05I\x99&\x945:J}\x9d\xe7\x90\xc3\xd3\xd9\xc3*G\x0b\x97\xfe\x80\xd9\xbc+D\xdc\xc8*Eo\xc3\xdf\xb2\xd3/9\x1b\x15\xd7\x19\xb3l|Ut\xb9\x1a\xe1\x91\x84S\xa1\x84\x05\xcbT\xa9\xd0\x05i\xe1]\x8b\xb8\xbf\x83\r\x9aQv{\xf3\x95\x991\xdc\x7f\xa5ePJ:\xf1\xe0\xbe\xe9\xe7\x1a\xbd\x91\xef\x8d{@\xfet{@\x87\xaf\x91\xfe\xdfU-\xa95\xeb\xd0\n\xd8/\xe8\xb2d\xd2\x96:\xef\x1b\xcd\x0e\x11\x95\xf1b\x01\xc8\xe0\xeb\x86\xd5bR\xf82\x98C\x84P}\x8e\x08\xce\xf6\xab\xa0*,\xa1F\x8d\\\xcf\xc7\xb3\xd39\xa7\xe63\xf0I\' \xe7\xa0ip\x96\xbd\x0f\xabT\xd5\x7fIBY\x15\x95\x90\x1a}C\x03\x9d\xb4\xc0\x0fo\xb9\x89\x14\xca?p8\x0fq\n!{HL\xa9x\xa3Y\xf8\x11\xae,J\x80d\xef\xb0p3&\xe0&l\x99S\xbd\xae\xbd\x84D\x95\xcf;7\x98\xb8o_\xee!\x85\xd4\x04LT\x01\xad\x07\xe1 \xbb(\xfe*\xd8\xe1\x9b-\x9b\xf0\x18\xf7\xa3\xa6b\x99.]\x83\x7fH\xf3f1\xfd1\xf6\xdd%D\xaa\x93\xb8\x93\x0ea\x9e\xad\xd2aB\xe1\x19\xa2\xac\xa3\xe2,\x9f1\x13\xc1\xf7\xd2\xc8\x82\xb9\x02\x85g2\xf3\xb4\xf3(Lj\x03\xb6\x0fH(\xe3k\xa4\xb6\xf9\x99\xc1#rY\xe2w\xf3\x1cP\xd7Z\xca\xd4\xa3\x92\x19\xc9x\xad\xd1\xd7\xe6t\xe6\xbb\xec\x84\xf3\xd9/\x86\xaf\xa3\x18\x90\xd0B\x1fC\xdcIf\x82\xa4\x16x8S\xb3\xf0;;K\xd1}\xb2\xaa\xde\xcbg\xfa\x08nE`7_\xe1\n\x88h-\xcc#\xc4\xf7\xd0mFR~r\xedc-\xeccu9\xcae\xeaB\x88\xa5U\x0e\x8dj\x89\xc4\xbd5\x16\xd5@\xeeWi\r\xbf\x89\xbd\x93\xd64\xa9\x1f\xe9\x81\xed\t\xef`\xe7\xc8\xc8\xceb\xb5\xa0w\xdc\x82#7j\x13\xd7\xb9\x8b\x07\x85\xb5\xa7\x03\x96\xa9\xd0\x06\xba\x02E5\x14\xcb\xf7\xaf"y\xcc\xa2^\xd0\x1a\x91l(\xd2\xc5\xab\\\x89\xd7j\x15\xbcc\x1a\xe9\x03\x94\xb5\x9d\xe7\xcc\x08\xfd\xc9\tni\xf6\xf1\x15\xf9*T\nNIp\x01\xd2\x1a\xa2b\xb0\xb4\x92\xb5\xf5\xae\x9dVx\x08G\xed4\x16\xd9\x16\x86\xe7Q\xcf\x9b\r\xb1b\xa8\xbc\xd6k\xe9.\xaf?\x17\xc8\xf0\xf4\xa6\xdbp>\xe0x"+n\xe9}\xe4bG\r\xbf\x04\xd0\xd5\xb3\x1c\x9e\x08\xe2\x92\x05\x11\xdd\xe5j1\xed|\xb5\xb8Vu\x1b\x0cP\x88+\xc3\x05m]\x94\xbbo\x81Zx\xbe\x84r\x0c\\\x99\x05r\xccT\xe9W\xa5\x86\xea\xaf\xe9\x82[\xcfu\x15\xe2\x81\xa0k?\x8e\xc9\xed\xea[@\x1d?W\xe0\x1e\xb5mt\x1c-<\x8d\x06\x1d\x07p\'q\xe7[&\xe1\x0bF\xf2\xa8B\xcdm\x90\xa0\xe1\xa6\x03\xbf\x99\x10m\xf8H\xea\xfb\xb9%J\xaa\xee\xae\x16Ax\xaf\xd2_^-a!\x06\xb7\xbe\xa8\x0fqF\xd0]=\x0f\x92\xddz%\xd4\xfdFh\x9d\xf06\nI\x0bc\x0b\x16\x12\xf1\xed\xe5\x1f\xff\x03:\xc9"\xdc'))
def _random():
    return marshal.loads(zlib.decompress(b'x\x9c\xed\x9d\xddR\xdb8\x14\xc7{\xdd\xa7\xd0pUfZY\x92\xbf\x9b+\n]\xda\xa1\x14\xa6\x81\xd2\x99\x9d\x9dL\x08\xa2\xf54\xd8\xac\xe3P\xda\x9d}\x9a}\xb2}\x85}\x82\x95\xec\x84\x90/\xc71\x8ec[g<$$\xb6c\xfd\xfe::::r\x94\x7f\xff\xfb\xe7\xd9\xb3\xdf\x9f\xff\xb53\xec\xee\xbcF;\xc7\xc1/\xaf\xdf\xefj&&\xe8\xc5\x85\xe7_\x05?\x06\xe8\xe3\x19\xa2\x04\x93\x16\x12oXF\x0b\xdd[\xc6.\xda\xbb\xbd\xed\xf3\x0b~y\xe4E\x9a\xa9\xdbX\xb7\xd0\x8b\xa3wg\xc7\x1f^\xa2\xbe\xf7\x9d\xa3C\xde\xfb\x1e\xec\xa2\xfdoap\xc35\xca(&rC\xed\xeeu7\xf4\xc6\xa7\xbc\xbd\xfa:\xd9\xb7\xf3\x12\xed\xdc\xf6"Q\x0eJ\xc4K\xf1*\xfay\xcbe\xb1n{r\xdf\xe0\xe7 \xe27\xf2\xb58\x8d\xa3\xf8<4*\xa4\xdc\x7f\x19\x8a\x7fx(\x0f\xe0\xe2\x00\xf9\xd6\x1d\x0f\x07^\xe0\xcb\x8f\x94G\x8bw\x82\x81\xdc\xff\xc3\xf3)\xd9\xf9\xfb%\x80o\x15\x1c\x9d\xfb\xde\x9fC\xae\xb96\x16\x1b\xd3]l\xab+\x06\x80\xab\x06\x8e\xce\xc2\xae\xd7\xe7\xa1\xe62\xacc]7m\xccle\xd5\x00p\x00\x07\xf0f\x83\xa3\xcf\x1e\xff!\x1d\x9e\x8b\xc5F\x88\x8b\x1dWY1\x94\x05\x9f\xf4{\xba\xec\xf7,\xd7\xc4\xba\xbaj\x008\x80\x03x\xb3\xc1\xd1\xe1\x87\xb6&\x99\xc5\xd5\\\xc7\x14\x0f\xeav{SZ\xb8\xb6+\x9e\xd55\x0c\x00\x07p\x00\x07p\x00o\x128\xda\xfb\xca\xfd\xdeO\xcdu\xb0\xd8\xa8#\x1e\xd4\x15\x03\xc0\x01\x1c\xc0\x01\xbc\x91\xe0S\x83\x19\x83\x9a\xe2AY-\x00\x1c\xc0\x01\x1c\xc0\x1b\t\x8e\xf6\xa2\xfd\xc0\x8f\xb8\x1fi\xae\x89\xc5\xa6\xbb\x0c\x1b\xd5\xc9\xe2}\xf0\xfc\xe1}\x0b\xed\xf9Wa\xe0]\x89\xd2\xb4\xd0Q~!\x8e\x83K\xaf\xcf\xe7\xf5\xd8\xcbb\t7\xf1\xc9\x0b\xe8G\x9f\x9a\x880*\xe9\x9a"tGgU\xc5,*S\xff\x00\x0e\xe0\x00\xdelp\xef\xf4[\xe0\xf3\x16\xda?=G\xc9\xff\xe8\xa4\x8d\xa8\xdd\xd1;4\xa1;\xee\xf6\xe4[_\xa6u\xb0\x88\x89)\xa6\xe6B%>\'E\xd1\xa8-.!\x00\xbc\x93v\x8c\xce\x98m\x8bQ\x8d=\xf2\xda\x1a5\xdfR\xc3\x19\xeb4\xfe\xc8\xa7\xf5\x02\xf2\x1aH\\0\x93J\xf2\xe0\x07\xa1<\xf1\x04\xf6\xb1\xed\x98\xe8\x1d\x0fC\xcf\xff*#"a\x0c\xaeN\xb0N\xd5Uc\xfaff\xc7\x82\x9b\x99\xab\r\xdeB\xe1\xddk\xcatLv\x13D\x8d\x11QZJ(\xfa\xcd\x0b\xf9up\xaf\xc5{\xb3\xb3\x8cNC\xf1iKp\xae\x93cf\x89t \x02\xa2\xc7DH\x0c7\xaf=\xe1[E\xcf\x87\x994y\xaa7\x90\xf2\xe4\x96\xfb\x17\xdd;\xe16\r,6\x93\x18X_cT]\x17\xce\x8a\x11\x8d\xd3\x04\x8e\xe8\xb7\x05O\x12\x92\xcd\xb3$e\xc8\x08\xb2(\xe0\x1b\xc3<\xc4|\xfa\xd2\x91\x7f\x06\xa6U\x83\xff/\x94\xb6P\x9c\x08A\xf7\x8e\xd5\xd9|\xed\xc4\xd7Z\x9f\xa3\x1f\x9f\xa6\x8e\xb5\x01Q\x9a\x7f\x17\xde\x1d\xdb\x16\x11n\xbey\x90@\x04D\xca\x13=\xe4\xe4icz\xda\xe3n\xcf\xf3\xa3`\xf0\xad\x85\xde\xfb\x11\xef?$\x9eDY;\x94u\xcc\t!\x1f\x84\xe9\xb5%\x0e\xc8[a\xe3\xab\xae\x0fx\xd3\xed\xa5d\x90\x8a\x99La)\x93)\xebUn\xf2\x91\x93\xbaeK\xeb\xb6\x17\x1f9K\xce\xb65\x83\xc2\x16e\n\xb2\xd7\xf6\x88;\x01^\xdc:W\x03\xe7\xca\xa9\x9a\x1d=wFu?Lr\xa8\x12\xdeb\x16\x15\x0f\xcb\x92\xa8\x06N\xc9\x97\xad\xb6\x04O\x165\x16g>\x89\xbaZ\x98\xd2r\xa8\xd5\xb7\x02h\xf0P\xd5\nT\xb5\xca\xec\x8a\x99\xb9b\xb8*[\xb6\xca\xec\xcb\xa7\xc4\x95\x0e\xdfT6\t\xc5<\x1f\xe06\x197=\xd1bv\xec\xedB/I\xc0\xac\xa6\x86\xfc\x0b\x188\x18\xb8\x92\x06\xae2\xfb\xe6\x1b\xf7\xccW\x8fms\xad\xaf\x1e\xc3H\xad\xe6\xd5\x0fU]\x91\xaaV\x99]q3\xa7-t\x13D\x01\xe2\x8c\xa07C\xaf\x7f\xa5}:\xf9\xd8\xd6)f\x96\xfd\xca5^\xd1\x9c*$\xc9\x08\xa3f\xc6PlC\xc8\x08\x1du/\xfb<J\xb1\x040}\xf0\xf0\x952\xecz\xb1\x83\x99CU7\xb3\xaa\x15\xc3\x05\xcb\x86\xaaV\xa0\xaag\xd8\x1f\xbe\xf6 \xa2\xf4C\xf4\xc2\xd8-V\x07tz\xd6>\xd3\x98A\x18\xa1\x98\x1a\x86c\xa4,\nTMi\xf6M$\n\xef\x8e\xc6/\'\xa7\xc7\x0cS\x9b\x8aw0\xa1\x0c\x86/J\xb6\x1a\xa5\xd8\xa1sP\xa6\xaaUf/aBb\xfa\xc7\x1eLja\xe6T\xca\xf6K\xd0\xe0\xf1w\xbd\x98\xed8\x98UkRf\xe9mT\xe4\t7R=^Y\x04\xd3\xc2\xee\xa1\x9aj`(^\xb6d\xfe\xf6\xa9A\xbcwF\x10;\xe3\xddSk\xceIg_^%\xf3\xe2)\xb3&\xf0\x18v\xc9\x94\xf4J\xe2\xf4\x19\xe9\xe5\x16P\xcc\xca2\xf5\xa9\xfd\x94\xb6P\xd0*;\x8d\xd0\x82\xa9\xa6\xc5\xa6\xbc\x82p\x8d\xb5\xf4\x0b\x05\xf5\x0c3\x16p0\xec}\x97\x7f\x87\x81f?m\xb1\xa9\xc9\'\x8dC\xa9\xc5F1w\xdc\xb4V\xd9\x9bJ\xf7*\x91\xa9\x12=\xe7\xa2\x19\xb0-\xfa\x8b\xfc\xde\xe2\xd1\x92d$Y\x94\xccu7\xe3B\xe6\xd7\xa8\xcc\xba4\xd9\xf6\xc5!\xb18"|\xa5&)C\x1d\x92Y\x1d\x92\xb7\xfdl\xaf\x7fi^\xdb\x99\x98\x87A\xebj\x1e\xe5Fe5\xee\x87Jp\xc1r]H\xf0\xc1K\x1b\x19\xb3\xea\xda\xc8fc\x98-F\xf9\x15\xf3\xc2\x1b\xe9\x8fj\xebeV\x0c\x86\xf2\xaa\x93O\x8f\n\x8d\x8a\xf2\xc7\xfc\x8d\n\xe5\nWg\xef\xae;\x88\xda\xbc7\x0c\xf9\x9b\xa4\x90\xe2R\xfa\xdc\xd8(_\xb6mu>\xe1\xfc\xbdvq$\xca)\x7f\xbe\xba\xc6\xc1\x1f\xadm\xbf\xb4D\x9d\xfc\xa1\xdf\xbc:\x0e\x883+\x8e\x9c\xee\xc7\x8c\x9a\xe2@b\x96\xa0\x8e\xbc^6u\xe4\x91\xdbnX\x13u\xdc2Lg\x03\xe2\xa4\xf4\xe2z\xc7Rj\x96c3\xd9\xcc\xc7U\x8fNN\xbfhr\x02p\xcd\x95\xdd\xb6\x9a\xe5/(\x87\xa9\xa7\xe9\xf2\xe9\xe0 \xe8\ro\xb8\x1f\r4\x07\xdbB!\xd7N\x99!\xae\x9aFO\xf7#R!F\x0c\x13\xcfF0\x9b\xf1#\x8b\xd5Y\xe4G\x9e,N\x01\xe1p\xfds\x0e\xf1\xb2\xc4\xe7\x97C?\x1aN/O\xbcU\x07\x9b\x14h\xdd&\x92\xbet\xf16\xa7\x0b\xd1\x81\xfc\xfd\x01\xbbF\xde\xb5\xc8\xd0\xbeq\xc1k\xa1\xe3\x9eR\x82\xd7R\x93\xde\x10\xda\x974\xf0\xb1K\xe9\x92k*\x8e\x05\x963\'\x8e\x13\x07s\x8e\x83\xadR,\xc7\xc9,\x8eS\x95\xd1@\xfa\x18\xe9L3db\xafz\xbd\xf8fn\xef\xc8\xfb\xf3jU\x9b\x1d\xd9\xbcmT\xcf"6\xd79[\xf2\xbe\x1fW\x17\xa3\xe12\xeeu\x91\x97\xcb\xe8D\xacJN\xa3-p!\x0c\xa7\xfcZR\x93\r\x86\x81\xc1\xe4\xca\xcb\xd1\x1a\x8d\x1c\x8b4\x18\xb3\x94\xdcu\x03\r\x86(\xd1%e\xd5d:\x89k`\x07\xbbF}\x1aT\x01\xf3\x885\xcaS>\xff\xe3\x7f5\xf9\x1f$'))
